<urbo-cms-ui-table
  *ngIf="news"
  [data]="news"
  [columns]="cols"
  [rows]="rows"
  [totalRecords]="totalRecords"
  [paginator]="true"
  [lazy]="true"
  [rowsPerPageOptions]="[10, 25, 50]"
  [filterOptions]="filterOptions"
  (pageChange)="onPage($event)"
  (filterChange)="handleFilterChange($event)"
  (globalFilter)="onSearch($event)"
  (createButtonClick)="showDialog()"
  (view)="showNewsDetails($event)"
  (sortChange)="onSort($event)"
  (highlight)="highlightNews($event)"
  [createPermission]="Permission.NewsWrite"
  [highlightPermission]="Permission.NewsHighlight"
></urbo-cms-ui-table>

<p-dialog
  header="News erstellen"
  [(visible)]="displayDialog"
  [modal]="true"
  [closable]="false"
  [style]="{ width: '50vw' }"
>
  <urbo-cms-news-create (close)="hideDialog()"></urbo-cms-news-create>
</p-dialog>
